Subject: bug#77911: Kodi-wayland won't compile

From: André Batista <[email-masked]>
Date: Thu, 24 Apr 2025 11:02:34 -0300

Hi Dylan,

sex 18 abr 2025 às 20:09:50 (1745017790), [email-masked] enviou:
> Hi there,
> 
> I'm having an issue compiling kodi-wayland on x86. It looks like there's
> undeclared types and methods in the fmt 9.1.0 library. I'm not a C++ guy,
> but I think that either
>  - Compiling is happening with the wrong version of CPP (too old of a
> version of CPP for the features used by [email-masked])
>  - Some of the code importing <fmt/core.h> is also using C++20 features and
> importing <format> and this is somehow causing a conflict.
> I've included the relevant part of my derivation file to show what the
> errors are.

According to CI, this is happening not only kody-wayland and not only
on x86 systems:

https://ci.guix.gnu.org/build/10016798/details
https://ci.guix.gnu.org/search?query=spec%3Amaster+kodi

Only kodi-cli is building successfully.

Thanks for reporting it.